services:
    mdc.command:
        class: Violution\MDCApiBundle\Command\SendToMDCCommand
        public: true
        arguments:
            - '@Violution\MDCApiBundle\Service\MDCSendService'
        tags:
            - { name: 'console.command', command: 'mdc:sendtomdc' }
    mdc.command.cron:
        class: Violution\MDCApiBundle\Command\ProcessCronjobCommand
        public: true
        arguments:
            - '@Violution\MDCApiBundle\Service\MDCSendService'
            - '@Symfony\Component\Mailer\MailerInterface'
            - '@Doctrine\ORM\EntityManagerInterface'
            - '%kernel.project_dir%'
            - '@monolog.logger'
        tags:
            - { name: 'console.command', command: 'mdc:processcronjob' }
    Violution\MDCApiBundle\Controller\RestController:
        arguments:
            - '%kernel.project_dir%'
            - '@Violution\MDCApiBundle\Service\MDCSendService'
            - '@Violution\MDCApiBundle\Service\MollieService'
            - '@Doctrine\ORM\EntityManagerInterface'
            - '@Symfony\Component\Mailer\MailerInterface'
            - '@monolog.logger'
            - '@Violution\MDCApiBundle\Service\ErrorMailerService'
        tags: [ 'controller.service_arguments' ]
        calls:
            - [setContainer, ["@service_container"]]
    Violution\MDCApiBundle\Service\GuzzleService:
        arguments:
            - '%env(MDC_API_URL)%'
            - '%env(API_KEY)%'
            - '@monolog.logger'
    Violution\MDCApiBundle\Service\MDCSendService:
        arguments:
            - '@Violution\MDCApiBundle\Service\GuzzleService'
            - '@monolog.logger'
    Violution\MDCApiBundle\Service\ErrorMailerService:
        arguments:
            - '@Symfony\Component\Mailer\MailerInterface'
            - '@monolog.logger'
            - '%env(ERROR_EMAIL_ADDRESS)%'
            - '%env(ERROR_EMAIL_CC_ADDRESS)%'
    Violution\MDCApiBundle\Service\MollieService:
        arguments:
            - '@Symfony\Component\Mailer\MailerInterface'
            - '@Doctrine\ORM\EntityManagerInterface'
            - '@monolog.logger'
            - '%env(MOLLI_API_KEY)%'